
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL数据库索引使用方法 / iVAN</title>

    <meta name="description" content="MySQL数据库索引使用方法   走向精通MySQL的道路非常的艰难,还好各种关系型数据库大同小异,足够让我从增删改查上升到高性能数据库的架构和调优.这期间的各种概念就不絮叨了,我也很难表述的很清楚,昨天写了个小脚本往我本机MySQL数据库的某张表里面注入了200万条数据(Windows7旗舰版/1.66GHz/2G内存/MySQL5.1.50),数据表的结构如下图所示,属于一个比较基本的定长表,考虑到我可怜的本本的承受能力,id使用从1开始的自增,title字段为随机20个标题中的一个,content都是相同的内容,tim">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MySQL数据库索引使用方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 　　走向精通MySQL的道路非常的艰难，还好各种关系型数据库大同小异，足够让我从增删改查上升到高性能数据库的架构和调优。这期间的各种概念就不絮叨了，我也很难表述的很清楚，昨天写了个小脚本往我本机MySQL数据库的某张表里面注入了200万条数据(Windows7旗舰版/1.66GHz/2G内存/MySQL5.1.50)，数据表的结构如下图所示，属于一个比较基本的定长表，考虑到我可怜的本本的承受能力，id使用从1开始的自增，title字段为随机20个标题中的一个，content都是相同的内容，time使用时间戳而非datetime类型，即10位整型数据。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vODUzNWIyOGZlY2M1NTcxODU5YWFjMmMzY2Q2MDkzNDEuanBn.jpg"><br />　　就是这么一个结构极其简单的表，200万数量级的复杂查询将会变的非常缓慢，比如执行下面的SQL语句。</p>
<p>　　SELECT a.id,FROM_UNIXTIME(a.time)</p>
<p>　　FROM article AS a</p>
<p>　　WHERE a.title=‘PHP笔试题和答案——基础语言方面’</p>
<p>　　查询时间基本上需要50-100秒，这个是非常恐怖的，如果加上联合查询和其他一些约束条件，数据库会疯狂的消耗内存。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjFkZGJkYTM3OTk5MjVmZjIyZmQ1NTU0NDM2YmFmOTQuanBn.jpg"><br />　　如果这时候数据库里面针对title字段建立了索引，查询效率将会大幅度提升，如下图所示。可见对于大型数据库，建立索引是非常非常重要的一个优化手段(当然还会有很多其他优化这样的数据库的方法，但是本文主题所限，暂不讨论。)，废话了这么多，以下开始总结MySQL中索引的使用方法和性能优化以及一些注意事项。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMmI5YzFhMWY1ZDhkYWQyODAzOWUxNDY3YWYyMTkxYjEuanBn.jpg"><br />　　索引的概念</p>
<p>　　索引是一种特殊的文件(InnoDB数据表上的索引是表空间的一个组成部分)，它们包含着对数据表里所有记录的引用指针。更通俗的说，数据库索引好比是一本书前面的目录，能加快数据库的查询速度。上述SQL语句，在没有索引的情况下，数据库会遍历全部200条数据后选择符合条件的;而有了相应的索引之后，数据库会直接在索引中查找符合条件的选项。如果我们把SQL语句换成“SELECT  * FROM article WHERE  id=2000000”，那么你是希望数据库按照顺序读取完200万行数据以后给你结果还是直接在索引中定位呢?上面的两个图片鲜明的用时对比已经给出了答案(注：一般数据库默认都会为主键生成索引)。</p>
<p>　　索引分为聚簇索引和非聚簇索引两种，聚簇索引是按照数据存放的物理位置为顺序的，而非聚簇索引就不一样了;聚簇索引能提高多行检索的速度，而非聚簇索引对于单行的检索很快。</p>
<p>　　索引的类型</p>
<p>　　1. 普通索引</p>
<p>　　这是最基本的索引，它没有任何限制，比如上文中为title字段创建的索引就是一个普通索引。</p>
<p>　　–直接创建索引</p>
<p>　　CREATE INDEX indexName ON table(column(length))</p>
<p>　　–修改表结构的方式添加索引</p>
<p>　　ALTER tableADD INDEX indexName ON (column(length))</p>
<p>　　–创建表的时候同时创建索引</p>
<p>　　CREATE TABLE `table` (</p>
<p>　　`id` int(11) NOT NULL AUTO_INCREMENT ,</p>
<p>　　`title` char(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,</p>
<p>　　`content` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL ,</p>
<p>　　`time` int(10) NULL DEFAULT NULL ,</p>
<p>　　PRIMARY KEY (`id`),</p>
<p>　　INDEX indexName (title(length))</p>
<p>　　)</p>
<p>　　–删除索引</p>
<p>　　DROP INDEX indexName ON table</p>
<p>　　2. 唯一索引</p>
<p>　　与普通索引类似，不同的就是：索引列的值必须唯一，但允许有空值(注意和主键不同)。如果是组合索引，则列值的组合必须唯一，创建方法和普通索引类似。</p>
<p>　　–创建唯一索引</p>
<p>　　CREATE UNIQUE INDEX indexName ON table(column(length))</p>
<p>　　–修改表结构</p>
<p>　　ALTER table ADD UNIQUE indexName ON (column(length))</p>
<p>　　–创建表的时候直接指定</p>
<p>　　CREATE TABLE `table` (</p>
<p>　　`id` int(11) NOT NULL AUTO_INCREMENT ,</p>
<p>　　`title` char(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,</p>
<p>　　`content` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL ,</p>
<p>　　`time` int(10) NULL DEFAULT NULL ,</p>
<p>　　PRIMARY KEY (`id`),</p>
<p>　　UNIQUE indexName (title(length))</p>
<p>　　);</p>
<p>　　3. 全文索引(FULLTEXT)</p>
<p>　　MySQL从3.23.23版开始支持全文索引和全文检索，FULLTEXT索引仅可用于 MyISAM  表;他们可以从CHAR、VARCHAR或TEXT列中作为CREATE TABLE语句的一部分被创建，或是随后使用ALTER TABLE 或CREATE  INDEX被添加。////对于较大的数据集，将你的资料输入一个没有FULLTEXT索引的表中，然后创建索引，其速度比把资料输入现有FULLTEXT索引的速度更为快。不过切记对于大容量的数据表，生成全文索引是一个非常消耗时间非常消耗硬盘空间的做法。</p>
<p>　　–创建表的适合添加全文索引</p>
<p>　　CREATE TABLE `table` (</p>
<p>　　`id` int(11) NOT NULL AUTO_INCREMENT ,</p>
<p>　　`title` char(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ,</p>
<p>　　`content` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL ,</p>
<p>　　`time` int(10) NULL DEFAULT NULL ,</p>
<p>　　PRIMARY KEY (`id`),</p>
<p>　　FULLTEXT (content)</p>
<p>　　);</p>
<p>　　–修改表结构添加全文索引</p>
<p>　　ALTER TABLE article ADD FULLTEXT index_content(content)</p>
<p>　　–直接创建索引</p>
<p>　　CREATE FULLTEXT INDEX index_content ON article(content)</p>
<p>　　4. 单列索引、多列索引</p>
<p>　　多个单列索引与单个多列索引的查询效果不同，因为执行查询时，MySQL只能使用一个索引，会从多个索引中选择一个限制最为严格的索引。</p>
<p>　　5. 组合索引(最左前缀)</p>
<p>　　平时用的SQL查询语句一般都有比较多的限制条件，所以为了进一步榨取MySQL的效率，就要考虑建立组合索引。例如上表中针对title和time建立一个组合索引：ALTER  TABLE article ADD INDEX index_titme_time  (title(50),time(10))。建立这样的组合索引，其实是相当于分别建立了下面两组组合索引：</p>
<p>　　–title,time</p>
<p>　　–title</p>
<p>　　为什么没有time这样的组合索引呢?这是因为MySQL组合索引“最左前缀”的结果。简单的理解就是只从最左面的开始组合。并不是只要包含这两列的查询都会用到该组合索引，如下面的几个SQL所示：</p>
<p>　　–使用到上面的索引</p>
<p>　　SELECT * FROM article WHREE title=“PHP程序员” AND time=1234567890</p>
<p>　　SELECT * FROM article WHREE utitle=“PHP程序员”</p>
<p>　　–不使用上面的索引</p>
<p>　　SELECT * FROM article WHREE time=1234567890</p>
<p>　　MySQL索引的优化</p>
<p>　　上面都在说使用索引的好处，但过多的使用索引将会造成滥用。因此索引也会有它的缺点：虽然索引大大提高了查询速度，同时却会降低更新表的速度，如对表进行INSERT、UPDATE和DELETE。因为更新表时，MySQL不仅要保存数据，还要保存一下索引文件。建立索引会占用磁盘空间的索引文件。一般情况这个问题不太严重，但如果你在一个大表上创建了多种组合索引，索引文件的会膨胀很快。索引只是提高效率的一个因素，如果你的MySQL有大数据量的表，就需要花时间研究建立最优秀的索引，或优化查询语句。下面是一些总结以及收藏的MySQL索引的注意事项和优化方法。</p>
<p>　　1. 何时使用聚集索引或非聚集索引?</p>
<table>
<tbody>
<tr>
<td><strong>动作描述</strong></td>
<td><strong>使用聚集索引</strong></td>
<td><strong>使用非聚集索引</strong></td>
</tr>
<tr>
<td>列经常被分组排序</td>
<td>使用</td>
<td>使用</td>
</tr>
<tr>
<td>返回某范围内的数据</td>
<td>使用</td>
<td>不使用</td>
</tr>
<tr>
<td>一个或极少不同值</td>
<td>不使用</td>
<td>不使用</td>
</tr>
<tr>
<td>小数目的不同值</td>
<td>使用</td>
<td>不使用</td>
</tr>
<tr>
<td>大数目的不同值</td>
<td>不使用</td>
<td>使用</td>
</tr>
<tr>
<td>频繁更新的列</td>
<td>不使用</td>
<td>使用</td>
</tr>
<tr>
<td>外键列</td>
<td>使用</td>
<td>使用</td>
</tr>
<tr>
<td>主键列</td>
<td>使用</td>
<td>使用</td>
</tr>
<tr>
<td>频繁修改索引列</td>
<td>不使用</td>
<td>使用</td>
</tr>
</tbody>
</table>
<p>　　事实上，我们可以通过前面聚集索引和非聚集索引的定义的例子来理解上表。如：返回某范围内的数据一项。比如您的某个表有一个时间列，恰好您把聚合索引建立在了该列，这时您查询2004年1月1日至2004年10月1日之间的全部数据时，这个速度就将是很快的，因为您的这本字典正文是按日期进行排序的，聚类索引只需要找到要检索的所有数据中的开头和结尾数据即可;而不像非聚集索引，必须先查到目录中查到每一项数据对应的页码，然后再根据页码查到具体内容。其实这个具体用法我还不是很理解，只能等待后期的项目开发中慢慢学学了。</p>
<p>　　2. 索引不会包含有NULL值的列</p>
<p>　　只要列中包含有NULL值都将不会被包含在索引中，复合索引中只要有一列含有NULL值，那么这一列对于此复合索引就是无效的。所以我们在数据库设计时不要让字段的默认值为NULL。</p>
<p>　　3. 使用短索引</p>
<p>　　对串列进行索引，如果可能应该指定一个前缀长度。例如，如果有一个CHAR(255)的列，如果在前10个或20个字符内，多数值是惟一的，那么就不要对整个列进行索引。短索引不仅可以提高查询速度而且可以节省磁盘空间和I/O操作。</p>
<p>　　4. 索引列排序</p>
<p>　　MySQL查询只使用一个索引，因此如果where子句中已经使用了索引的话，那么order  by中的列是不会使用索引的。因此数据库默认排序可以符合要求的情况下不要使用排序操作;尽量不要包含多个列的排序，如果需要最好给这些列创建复合索引。</p>
<p>　　5. like语句操作</p>
<p>　　一般情况下不鼓励使用like操作，如果非使用不可，如何使用也是一个问题。like “%aaa%” 不会使用索引而like  “aaa%”可以使用索引。</p>
<p>　　6. 不要在列上进行运算</p>
<p>　　例如：select * from users where  YEAR(adddate)&lt;2007，将在每个行上进行运算，这将导致索引失效而进行全表扫描，因此我们可以改成：select * from users  where adddate&lt;’2007-01-01′。关于这一点可以围观：一个单引号引发的MYSQL性能损失。</p>
<p>　　最后总结一下，MySQL只对一下操作符才使用索引：&lt;,&lt;=,=,&gt;,&gt;=,between,in,以及某些时候的like(不以通配符%或_开头的情形)。而理论上每张表里面最多可创建16个索引，不过除非是数据量真的很多，否则过多的使用索引也不是那么好玩的，比如我刚才针对text类型的字段创建索引的时候，系统差点就卡死了。</p>
<p>　　最后的最后PS：现在更新个技术文章真难，还得做大量实验…</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:43:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/%e6%9f%a5%e8%af%a2/" title="查询">查询</a>, <a href="https://www.iamivan.net/tag/null/" title="null">null</a>, <a href="https://www.iamivan.net/tag/%e4%bd%bf%e7%94%a8%e7%b4%a2%e5%bc%95/" title="使用索引">使用索引</a>, <a href="https://www.iamivan.net/tag/mysql%e5%a6%82%e4%bd%95%e5%bb%ba%e7%ab%8b%e7%b4%a2%e5%bc%95/" title="mysql如何建立索引">mysql如何建立索引</a>, <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95%e5%92%8c%e6%a3%80%e7%b4%a2-%e6%97%a0%e6%95%88/" title="索引和检索 无效">索引和检索 无效</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e5%90%88%e7%b4%a2%e5%bc%95/" title="组合索引">组合索引</a>, <a href="https://www.iamivan.net/tag/mysql%e5%bb%ba%e7%ab%8b%e5%94%af%e4%b8%80%e7%b4%a2%e5%bc%95/" title="mysql建立唯一索引">mysql建立唯一索引</a>, <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95%e6%9c%80%e5%b7%a6%e5%8e%9f%e5%88%99/" title="索引最左原则">索引最左原则</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MySQL数据库索引使用方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Pdw8M.html" rel="bookmark">mysql数据库索引损坏及修复经验分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了mysql数据库索引损坏及修复经验分享,需要的朋友可以参考下 mysql表索引被破坏的问题及解决 下午上班,惊闻我的dedecms的网站出问题了,访问一看,果然全屏报错,检查mysql日志,错误信息为: Table '.dedecmsv4dede_archives' is marked as crashed and should be repaired 提示说cms的文章表dede_archives被标记有问题,需要修复.于是赶快恢复历史数据,上网查找原因.最终将问题解决.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYe3Lb.html" rel="bookmark">mysql数据库程序优化方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql数据库程序优化方法 1.选取最适用的字段属性 MySQL可以很好的支持大数据量的存取,但是一般说来,数据库中的表越小,在它上面执行的查询也就会越快.因此,在创建表的时候,为了获得更好的性能,我们可以将表中字段的宽度设得尽可能小.例如,在定义邮政编码这个字段时,如果将其设置为CHAR(255),显然给数据库增加了不必要的空间,甚至使用VARCHAR这种类型也是多余的,因为CHAR(6)就可以很好的完成任务了.同样的,如果可以的话,我们应该使用MEDIUMINT而不是BIGIN来定义整型字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6rvVb.html" rel="bookmark">查看mysql数据库的版本方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				查看mysql数据库的版本方法 查看mysql数据库版本方法总结 当你接手某个mysql数据库管理时,首先你需要查看维护的mysql数据库版本:当开发人员问你mysql数据库版本时,而恰好你又遗忘了,那么此时也需要去查看mysql数据库的版本...............下文总结一下Linux平台下查看mysql数据库的方法.个人觉得总结的比较全面了.   方法1:登录数据库时,你可以看到对应mysql数据库的版本信息,如下所示:   [root@DB-Server ~]# mysql -u r			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3xvZz.html" rel="bookmark">mysql-iis日志导入Mysql数据库快速实现方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 iis日志导入Mysql数据库快速实现方法 做一个Iis日志统计的软件,打算通过mysql实现,刚刚开始自学,现在要将iis日志导入到mysql数据库中,目前了解到的方法是用load data infile语句,但发现速度不够理想 100M文件需要30S左右.因为知识有限不知道还有什么更好的办法,希望懂的前辈们,能多指点一下,谢谢			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8Z9kb.html" rel="bookmark">php计算整个mysql数据库大小的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php计算整个mysql数据库大小的方法.分享给大家供大家参考.具体如下: 这里用MB,KB或者GB的格式返回计算结果. function CalcFullDatabaseSize($database, $db) { $tables = mysql_list_tables($database, $db); if (!$tables) { return -1; } $table_count = mysql_num_rows($tables); $size = 0; for ($i=0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zemd28z.html" rel="bookmark">linux中修改AMH系统面板默认MYSQL数据库存储路径方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正常情况下我们的VPS主机环境如果按照类似AMH之类的面板,如果有数据盘的时候网站项目会独立用数据盘存储,而系统以及面板环境数据库存储会在系统盘中,因为也不会占据太大的硬盘空间.上午的时候,有一个朋友需要老左帮助解决AMH面板的数据库也放到数据盘中,担心哪天系统数据或者缓存导致系统盘占满问题. 修改AMH系统面板默认MYSQL数据库存储路径方法 解决修改AMH系统面板默认MYSQL数据库存储路径方法 第一.复制AMH面板数据库到挂载目录文件夹 这里老左看到挂载的数据盘是HOME目录下(挂载AMH			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGj8K3p.html" rel="bookmark">优化MySQL数据库性能的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    本文探讨了提高MySQL 数据库性能的思路,并从8个方面给出了具体的解决方法. 1.选取最适用的字段属性 MySQL可以很好的支持大数据量的存取,但是一般说来,数据库中的表越小,在它上面执行的查询也就会越快.因此,在创建表的时候,为了获得更好的性能,我们可以将表中字段的宽度设得尽可能小.例如,在定义邮政编码这个字段时,如果将其设置为CHAR(255),显然给数据库增加了不必要的空间,甚至使用VARCHAR这种类型也是多余的,因为CHAR(6)就可以很好的完成任务了.同样的,如果可以的话,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlLV1p.html" rel="bookmark">mysql数据库索引损坏及修复经验分享&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql表索引被破坏的问题及解决 下午上班,惊闻我的dedecms的网站出问题了,访问一看,果然全屏报错,检查mysql日志,错误信息为: Table '.\dedecmsv4\dede_archives' is marked as crashed and should be repaired 提示说cms的文章表dede_archives被标记有问题,需要修复.于是赶快恢复历史数据,上网查找原因.最终将问题解决.解决方法如下: 找到mysql的安装目录的bin/myisamchk工具,在命令			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR16lqb.html" rel="bookmark">Mysql 数据库常用备份方法和注意事项&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mysql数据库备份的常用3种方法: 1.直接拷贝(cp.tar,gzip,cpio) 2.mysqldump 3.mysqlhotcopy 1.使用直接拷贝数据库备份 典型的如cp.tar或cpio实用程序. 当你使用直接备份方法时,必须保证表不在被使用.如果服务器在你正在拷贝一个表时改变它,拷贝就失去意义. 保证你的拷贝完整性的最好方法是关闭服务器,拷贝文件,然后重启服务器.如果你不想关闭服务器,要在执行表检查的同时锁定服务器.如果服务器在运行,相同的制约也适用于拷贝文件,而且你应该使用相同			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn8E2b.html" rel="bookmark" class="title">视觉设计分析&colon;短时间做出漂亮的Banner</a>
					<div>
						网页制作Webjx文章简介:视觉设计分析:短时间做出漂亮的Banner. ⊙前言 门户网站因为市场竞争日益激烈,各大门户竞相以谁家资讯更多.领域更广.内容更深等等策略来留住用户的芳心,由此近年来门户网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MW3djM.html" rel="bookmark" class="title">学完博客学拍客 造就网络第一剽客</a>
					<div>
						搜狐推出了&quot;闪客拍客大赛&quot;,一个关于奥运DV和FLASH的征集活动.&quot;闪客拍客&quot;,2007年热门关键词它可是一个不落.本来,在公众注意力都集中在一件事情上的时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwQL5M.html" rel="bookmark" class="title">5月24日百度百科巨大更新：扩展阅读可带锚链接</a>
					<div>
						5月24日 百度百科巨大更新:扩展阅读可 锚链接 是猫链接.请注意.官方改版了.不是超链接哦!不是作弊,不是漏洞.是百科改版了! 是机会还是什么?大家自己想吧! 以下为百度百科公告全文. 让百科更&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4lZqz.html" rel="bookmark" class="title">王施帆：如何修改网站标题减少被处罚</a>
					<div>
						很多SEO的朋友和王施帆一样,在接手一个网站优化订单的时候,会发现客户的网站三大标签实在写得很糟糕,想彻底的给客户重新修改吧?又担心是不是这一修改就把网站送进了万丈深渊了.今天王施帆将自己的经验心得整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boweEb.html" rel="bookmark" class="title">PowerPoint 2007新功能体验</a>
					<div>
						Microsoft Office PowerPoint 2007 使用户可以快速创建极具感染力的动态 演示文稿,同时集成工作流和方法以轻松共享信息.从 Microsoft Office Fluent  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPdAOM.html" rel="bookmark" class="title">基于文本替换的解释器：引入continuation</a>
					<div>
						当我写到这里的时候,我自己都吃了一惊. 环境.存储这些比较让人耳熟的还没讲到,continuation先出来了. 维基百科里对continuation的翻译是&quot;延续性&quot;. 这翻译看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7mAqb.html" rel="bookmark" class="title">把WebLogic EJB程序迁移到JBoss上</a>
					<div>
						WebLogic服务器是一款顶级的商业应用程序服务器.但是对于小规模的开发者来说,开发源代码的.基于标准的应用程序服务器JBoss是可以用来替换类似WebLogic或WebSphere等商业应用程序服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4dX7p.html" rel="bookmark" class="title">Java语言入门教程（十）：Java语言中的关联与依赖关系</a>
					<div>
						在开始本文的学习前,先总结一下已经学习过的内容.在前面9篇文章中,主 要是介绍Java类中的基本语法,是按照先概括,再具体的循序渐进的方式进行的 .先介绍了Java类的主要组成部分:数据成员,方法成员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOo15b.html" rel="bookmark" class="title">Photoshop制用水滴字教程</a>
					<div>
						最终效果图 1.建议采用以下字体和文档规格.该技术采用了一些基于像素的滤镜和基于点的文字,所以这些规格对于重现效果是很重要的.图像规格:1117 x 865 像素(266 dpi),RGB 颜色.字体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLdeRb.html" rel="bookmark" class="title">ps鼠绘透明杯中的蓝色蜡烛</a>
					<div>
						  本教程介绍杯子及蜡烛的鼠绘方法.尤其杯子的制作比较费时间,需要制作透明及反光效果,要根据背景颜色及整体图片色彩来制作.其它的地方就比较简单! 最终效果 1)新建400*500文档,白背景. 2)先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4vEAp.html" rel="bookmark" class="title">大小写字母转换的shell脚本代码</a>
					<div>
						本文介绍下,用于大小写字母转换的一例shell脚本,学习tr.awk.sed等命令的用法.有需要的朋友参考下   以下脚本,可以进行目录或文件大小写字母转换,代码如下: 复制代码 代码如下: #!/b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKg7ap.html" rel="bookmark" class="title">为什么IE浏览器打不开？</a>
					<div>
						  一般情况下微软只要推出系统的更新升级,微软系统就会自动进行更新升级,不过有些时候windows系统的自动更新会造成一些软件无法使用,这不小编的win8系统只要一升级ie浏览器就无法打开,这是怎么回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2BqJb.html" rel="bookmark" class="title">利用ps对宝贝进行虚化背景，让宝贝更加细致完美</a>
					<div>
						逛顶级店铺这么久以来,从中在顶级店铺学到了很多知识,不过印象最深的是要算拍照作图了,相信每个淘宝卖家都在为如何拍出漂亮的,吸引的图片来吧!我就是其中一个.其实摄影是一门很深的学问,在我看有关于摄影知识 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZZy6z.html" rel="bookmark" class="title">Zimbra证书过期问题解决</a>
					<div>
						  1. 通常情况下,证书过期,邮箱客户端会出现重复输入密码,使用网页版登录的话,无法登录成功,进入命令管理界面后,使用下面的操作,会出现一下错误. zimbra@zcs ~]$ zmcontrol  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oY77b.html" rel="bookmark" class="title">如何解绑阿里云风云令？</a>
					<div>
						  默认情况下,您风云令所绑定的网站会提供使用风云令解绑的方式 1.访问绑定的网站,并登陆自己的账户 2.进入用户中心的安全设置页面(以阿里云为例 https://account.aliyun.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWq0mb.html" rel="bookmark" class="title">VMware CEO&colon;云计算将终结台式电脑时代</a>
					<div>
						8月31日消息,VMware CEO保罗·马瑞兹(http://www.aliyun.com/zixun/aggregation/13830.html&quot;&gt;Paul Maritz)敦促用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2XPAb.html" rel="bookmark" class="title">hashmap-Edmonds算法：最大权匹配的java实现</a>
					<div>
						问题描述 Edmonds算法:最大权匹配的java实现 最近帮忙做一个课题任务,要求用java实现Edmonds算法. Edmonds算法的具体描述可以参阅百度文库的这篇文章:http://wenku ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7ZgWz.html" rel="bookmark" class="title">简化Kubernetes应用部署工具-Helm之Release配置</a>
					<div>
						本文讲的是简化Kubernetes应用部署工具-Helm之Release配置[编者的话]微服务和容器化给复杂应用部署与管理带来了极大的挑战.Helm是目前Kubernetes服务编排领域的唯一开源子项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwv77p.html" rel="bookmark" class="title">&lbrack;算法系列之十八&rsqb;海量数据处理之BitMap</a>
					<div>
						一:简介 所谓的BitMap就是用一个bit位来标记某个元素对应的Value, 而Key即是该元素.由于采用了bit为单位来存储数据,因此在存储空间方面,可以大大节省. 二:基本思想 我们用一个具体的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQDJOp.html" rel="bookmark" class="title">java-请问大神如何监控mysql的访问情况</a>
					<div>
						问题描述 请问大神如何监控mysql的访问情况 我弄了个小安卓app,客户端和服务器都是java语言写的,用的是对象关系映射操作mysql数据库服务器用的tomcat 有一个查询功能需要查询数据库并返 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lqQob.html" rel="bookmark" class="title">python-使用pyleus向本地提交jar包出现以下警告且在UI界面无法看到topology成功提交</a>
					<div>
						问题描述 使用pyleus向本地提交jar包出现以下警告且在UI界面无法看到topology成功提交 560680 [main-SendThread(localhost:2002)] INFO org ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeYa6b.html" rel="bookmark" class="title">辉光UIView的category</a>
					<div>
						辉光UIView的category    本人视频教程系类   iOS中CALayer的使用   效果如下: 源码: UIView+GlowView.h 与 UIView+GlowView.m //  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydGQlb.html" rel="bookmark" class="title">IBM三大解决方案助力交通运输业发</a>
					<div>
						本文讲的是IBM三大解决方案助力交通运输业发,9月27日消息,近日,IBM软件集团在京发布面向&quot;交通运输业&quot;三大行业解决方案,即IBM轨道交通设备维修保养排程解决方案.IBM车辆运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKvXXb.html" rel="bookmark" class="title">塞班网：选择广告管家的N种理由</a>
					<div>
						&quot;虽然网站流量达到了不小的规模,但由于缺乏对广告资源和广告投放的有效管理,使得50%以上的流量价值被浪费.&quot; &quot;广告订单不断增多,手工管理工作量非常大,自己研发广告监测系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy7jAz.html" rel="bookmark" class="title">伪造WiFi如何欺骗你的手机？</a>
					<div>
						    经常有白帽子跟宅客君说,只要你开着WiFi,我就有办法拿到你手机的敏感信息.作为演示,他们经常可以(在未见过的情况下)直接说出手机品牌,并给出一些敏感文件的信息. 他们利用的是一种&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLD1OM.html" rel="bookmark" class="title">error-Windows Azure SSL Error怎么解决</a>
					<div>
						问题描述 Windows Azure SSL Error怎么解决 windows azure 如果遇到这个问题怎么解决??????????? 解决方案 http://blog.csdn.net/azu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22GGQb.html" rel="bookmark" class="title">Adobe和Google 共同发布一款针对中文、日文、韩文的开源字体</a>
					<div>
						摘要: Adobe和Google 共同发布了一款针对中文.日文.韩文的开源字体,包括65535个象形文字,是目前东亚文字最大的字体之一.目前这款字体在Google Fonts和Adobe字体库已经可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJxdmp.html" rel="bookmark" class="title">应用打包！！！</a>
					<div>
						问题描述 做了一个windows窗体有些数据是存在SQL里面的想要把它做成安装部署文件怎么把SQL里面的数据打包进去?求仔细讲哈 解决方案 解决方案二:存在数据库中?解决方案三:http://www. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq6EWb.html" rel="bookmark" class="title">在constructor里面将变量加入arraylist后，如何实例化</a>
					<div>
						问题描述 比如这样publicclassxxx{publicstringabc;publicarraylistarrlist;publicxxx(){arraylistarraylistasnewar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEZa3M.html" rel="bookmark" class="title">网宿科技孙靖泽：CDN规模门槛为5T，整合潮年底就会出现</a>
					<div>
						4月13日消息 连续四年净利润复合增速达到86%,这是CDN行业龙头网宿科技的成绩单.这张成绩单让网宿科技一跃成为与CDN鼻祖Akamai比肩的中国企业,更吸引了大批投资者和互联网企业涌入CDN行业. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
